Package org.eclipse.emf.compare.internal.spec

# Class MatchSpec

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.emf.compare.impl.MatchImpl
org.eclipse.emf.compare.internal.spec.MatchSpec

All Implemented Interfaces:
  `Notifier`, `Match`, `EObject`, `EStructuralFeature.Internal.DynamicValueHolder`, `InternalEObject`

Direct Known Subclasses:
  `NotLoadedFragmentMatch`

public class MatchSpec extends MatchImpl
This specialization of the `MatchImpl` class allows us to define the derived features and operations implementations.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`MinimalEObjectImpl.Container.Dynamic`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList, BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.compare.impl.MatchImpl

`copyright, differences, left, origin, right, submatches`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Constructor
Description
`MatchSpec()`

## Method Summary

Modifier and Type
Method
Description
`Iterable<Diff>`
`getAllDifferences()`
`Iterable<Match>`
`getAllSubmatches()`
`Comparison`
`getComparison()`
`boolean`
`matches(Object object)`
Returns whether the given object is the same object as the `MatchImpl.left`, `MatchImpl.right`, or `MatchImpl.origin`.
`String`
`toString()`

### Methods inherited from class org.eclipse.emf.compare.impl.MatchImpl

`basicGetLeft, basicGetOrigin, basicGetRight, eGet, eInverseRemove, eIsSet, eSet, eStaticClass, eUnset, getDifferences, getLeft, getOrigin, getRight, getSubmatches, setLeft, setOrigin, setRight`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Constructor Details

### MatchSpec

public MatchSpec()

## Method Details

### getComparison

public Comparison getComparison()

Specified by:
  `getComparison` in interface `Match`
Overrides:
  `getComparison` in class `MatchImpl`
See Also:
  - `MatchImpl.getComparison()`

### getAllSubmatches

public Iterable<Match> getAllSubmatches()

Specified by:
  `getAllSubmatches` in interface `Match`
Overrides:
  `getAllSubmatches` in class `MatchImpl`
See Also:
  - `MatchImpl.getAllSubmatches()`

### getAllDifferences

public Iterable<Diff> getAllDifferences()

Specified by:
  `getAllDifferences` in interface `Match`
Overrides:
  `getAllDifferences` in class `MatchImpl`
See Also:
  - `MatchImpl.getAllDifferences()`

### matches

public boolean matches(Object object)
Returns whether the given object is the same object as the `MatchImpl.left`, `MatchImpl.right`, or `MatchImpl.origin`. It is used by `EqualityHelper.matchingValues(Object, Object)` and `EqualityHelper.matchingValues(EObject, EObject)`.

Parameters:
  `object` - the object in question
Returns:
  whether the given object is the same object as the left, right, or origin.

### toString

public String toString()

Overrides:
  `toString` in class `BasicEObjectImpl`
See Also:
  - `BasicEObjectImpl.toString()`